Necesito instalar wxGTK-devel

Spanish Forum

Moderator: vrkalak

Necesito instalar wxGTK-devel

Postby Wonder on Tue Mar 26, 2013 8:52 pm

Estoy intentando compilar un programa que requiere wxGTK-devel, el caso es que, por mas que lo intento y sigo indicaciones que encuentro por google, no hay manera, siempre que realizo el ./configure me aparece esto:

Code: Select all
configure: error:
        wxWidgets must be installed on your system
        but either the wx-config script couldn't be found or
        no compatible wxWidgets configuration has been installed.


No soy capaz de instalar wxGTK-devel... :oops:

Agradecido!!
Image
Wonder
Level 4
Level 4
 
Posts: 403
Joined: Wed Jul 11, 2012 8:09 pm

Linux Mint is funded by ads and donations.
 

Re: Necesito instalar wxGTK-devel

Postby nestoriano on Tue Mar 26, 2013 9:39 pm

Has probado instalar libwxgtk2.8-dev?
Por mi experiencia, las dependencias requeridas por un ./configure en los derivados de buntus, casi todos tienen el nombre "lib(nombrepaquete)-dev".
En este caso libwxgtk2.8-dev y el nombre del paquete requerido es wxgtk2.8
nestoriano
Level 4
Level 4
 
Posts: 333
Joined: Thu Nov 08, 2012 7:15 pm

Re: Necesito instalar wxGTK-devel

Postby Wonder on Tue Mar 26, 2013 9:56 pm

Diste en el clavo ;)

No lo pense de ese modo, pero asi es, "lib(nombrepaquete)-dev", en este caso, como bien comentas, fue libwxgtk2.8-dev.

En tema compilación, ando bastante verde...

Agradecido!!
Image
Wonder
Level 4
Level 4
 
Posts: 403
Joined: Wed Jul 11, 2012 8:09 pm

Re: Necesito instalar wxGTK-devel

Postby nestoriano on Tue Mar 26, 2013 10:54 pm

Me olvide mencionar que al compilar es mas conveniente usar "checkinstall" en lugar del make install ya que con este ultimo modo, si el paquete compilado no lleva un desinstalador propio (make uninstall), tendrias que buscar fichero por fichero y borrar.

Con checkinstall, los archivos que se instalarian al sistema, se guarda en un paquete deb para posteriormente instalarlo. Para quitartelo de encima usas synaptic y listo.
Con el otro metodo
nestoriano
Level 4
Level 4
 
Posts: 333
Joined: Thu Nov 08, 2012 7:15 pm

Re: Necesito instalar wxGTK-devel

Postby Wonder on Wed Mar 27, 2013 10:19 pm

nestoriano wrote:Me olvide mencionar que al compilar es mas conveniente usar "checkinstall" en lugar del make install ya que con este ultimo modo, si el paquete compilado no lleva un desinstalador propio (make uninstall), tendrias que buscar fichero por fichero y borrar.

Con checkinstall, los archivos que se instalarian al sistema, se guarda en un paquete deb para posteriormente instalarlo. Para quitartelo de encima usas synaptic y listo.
Con el otro metodo

Te agradezco enormemente el consejo, en este tema, ando muy muy verde.
Asi lo hare.

No obstante, ahora me sale este error:
Code: Select all
configure: error: sqlite3.h not found which is part of SQLite3.

Me salieron otros, pero siguiendo tus indicaciones, los solvente, pero este ultimo, he buscado pero no soy capaz de solventarlo. Instale SQLite3, pero no solucioo el problema.

Agradecido!!
Image
Wonder
Level 4
Level 4
 
Posts: 403
Joined: Wed Jul 11, 2012 8:09 pm

Re: Necesito instalar wxGTK-devel

Postby nestoriano on Wed Mar 27, 2013 11:27 pm

Una busqueda rapida de "sqlite3.h" por google la palabra he encontrado http://www.youtube.com/watch?v=yySlMipoqqs.
Revisando paqueteria ubuntu he encontrado uno que se llama "libsqlite3-0"

Que es lo que intentas instalar? No existe algun .deb precompilado listo para instalar?
nestoriano
Level 4
Level 4
 
Posts: 333
Joined: Thu Nov 08, 2012 7:15 pm

Re: Necesito instalar wxGTK-devel

Postby Wonder on Thu Mar 28, 2013 6:47 am

Vaya, yo no habia encontrado "libsqlite3-0", habia encontrado otros.
Lo he mirado en synaptics y ya lo tenia instalado, no obstante, el -dbg no lo tenia, lo he instalado, pero me sigue apareciendo el mismo mensaje de error con el ./configure.

Lo que quiero instalar es el filezilla en su ultima version, no he encontrado un .deb de esa version, y ya me "pique" para poder generarlo e instalarlo.

Agradecido!!
Image
Wonder
Level 4
Level 4
 
Posts: 403
Joined: Wed Jul 11, 2012 8:09 pm

Re: Necesito instalar wxGTK-devel

Postby nestoriano on Thu Mar 28, 2013 8:13 am

Si la version que necesitas es la 3.6.0.2, desde la pagina se puede descargar el paquete tar.bz que en su interior tiene el binario con el nombre filezilla.
Se ejecuta con ./filezilla o "sh filezilla". Lo unico que deberias crearte los menus y lanzadores por tu cuenta.

Los programas populares suelen tener repositorio ppa con el paquete compilado y listo para instalar desde. http://ppa.launchpad.net/n-muench/progr ... filezilla/

Si preferis agregar el repositorio:
https://launchpad.net/~n-muench/+archive/programs-ppa2
Antes de agregarlo probaria con los otros metodos porque este repo tiene el paquete "dpkg" y existe la posibilidad de que si se instala ese paquete muy importante para el sistema y fuera del repositorio oficial, puede causar problemas. Mi recomendacion seria solo instalar filezilla y luego desactivar el repo.
nestoriano
Level 4
Level 4
 
Posts: 333
Joined: Thu Nov 08, 2012 7:15 pm

Re: Necesito instalar wxGTK-devel

Postby Wonder on Thu Mar 28, 2013 10:25 pm

nestoriano wrote:Si la version que necesitas es la 3.6.0.2, desde la pagina se puede descargar el paquete tar.bz que en su interior tiene el binario con el nombre filezilla.
Se ejecuta con ./filezilla o "sh filezilla". Lo unico que deberias crearte los menus y lanzadores por tu cuenta.

Si, lo vi, respecto a crear menus y lanzadores creo que sabria hacerlo.
Pero vi que contiene varias carpetas, queria poner su contenido donde toca, donde actualmente tengo las carpetas de filezilla, pero no fui capaz de encontrarlas.
Quizas sean manias, pero me gusta que las cosas esten donde deben estar, no queria crear una nueva carpeta, en home por ejemplo, sabiendo que mi anterior version, esta en otra loalizacion.

Los programas populares suelen tener repositorio ppa con el paquete compilado y listo para instalar desde. http://ppa.launchpad.net/n-muench/progr ... filezilla/

Enorme pagina, no la conocia, se agradece.


Cuando he buscado otras ppa's de otros programas, he encontrado paginas como esa, viendo esas paginas, no se agregar el ppa, se que es algo obvio y que deberia saberlo ya, pero a estas alturas aun no se agregar el ppa con una pagina como esa... :oops:
Suelo saber agregar el ppa cuando encuentro los comandos a introducir en terminal para agregar el ppa.

Antes de agregarlo probaria con los otros metodos porque este repo tiene el paquete "dpkg" y existe la posibilidad de que si se instala ese paquete muy importante para el sistema y fuera del repositorio oficial, puede causar problemas. Mi recomendacion seria solo instalar filezilla y luego desactivar el repo.

Pues eso hare, no agregare ese ppa (aunque no se hacerlo) pero si es como dices...prefiero no hacerlo.

En la primera url que me has facilitado he bajado el deb para instalarlo, aunque no he podido instalarlo, no estan todas las dependencias satisfechas, no obstante, si pudiese, me gustaria acabar de compilarlo yo mismo, asi acabo de compilarlo y es algo que quiero aprender ha hacer. Me dice que me falta el sqlite3.h, y no soy capaz de solventar ese problema.

Agradecido!
Image
Wonder
Level 4
Level 4
 
Posts: 403
Joined: Wed Jul 11, 2012 8:09 pm

Re: Necesito instalar wxGTK-devel

Postby nestoriano on Fri Mar 29, 2013 12:12 am

El paquete libsqlite3-dev esta instalado? He descargado el paquete y en su interior /usr/include se encuentra el sqlite3.h.

Si preferis el metodo binario desdela pagina, en la carpeta bin del paquete tiene el binario "filezilla" (algo asi como un .exe portable) y lo he ejecutado con un ./filezilla. La carpeta share solo tiene las traducciones, manuales e iconos para el menu pero solo con el binario filezilla funciona perfectamente.

Si lo queres todo en su lugar, con copiar y pegar la carpeta bin y share dentro de /usr deberia ser suficiente. El problema es que para deshacer el copiado hay que borrarlo uno por uno.

El metodo que uso yo para estos casos es crear un paquete deb. Estos paquetes basicamente es un archivo comprimido y cuando se instala, lo unico que hace es descomprimir el data.tar.gz de su interior y pegarlo sobre "/". Al ser un deb queda todo registrado para poder quitarlo con sysnaptic facilmente.

El paquete de filezilla descargado tiene 2 carpetas que son bin y share. Estos son carpetas que se encuentran normalmente en /usr, asi que las carpetas bin y share deberian ir alli.

1-Crear una carpeta con el nombre usr en algun lugar
2-Meter alli la carpeta bin y share del tar.bz de filezilla.
3-Comprimir la carpeta usr a tar.gz con el nombre filezilla.tar.gz

Al abrir filezilla.tar.gz deberia estar la carpeta usr, alli dentro bin y share y alli las cosas de filezilla.
4-Instala alien y ejecuta "sudo alien filezilla.tar.gz". Con eso deberia crearse el deb para luego instalarlo normalmente. Elimina el viejo filezilla y filezilla-common por las dudas antes de instalar.

El ppa es "ppa:n-muench/programs-ppa2" y se agrega con un "sudo add-apt-repository ppa:n-muench/programs-ppa2"
nestoriano
Level 4
Level 4
 
Posts: 333
Joined: Thu Nov 08, 2012 7:15 pm

Re: Necesito instalar wxGTK-devel

Postby Wonder on Fri Mar 29, 2013 10:34 pm

nestoriano wrote:El paquete libsqlite3-dev esta instalado? He descargado el paquete y en su interior /usr/include se encuentra el sqlite3.h.

Error mio, no lo tenia instalado, me confundi e instale en su momento el paquete libsqlite3-0-dbg.
Ha sido instalar el dev, y se solvento el problema, gracias.

Si preferis el metodo binario desdela pagina, en la carpeta bin del paquete tiene el binario "filezilla" (algo asi como un .exe portable) y lo he ejecutado con un ./filezilla. La carpeta share solo tiene las traducciones, manuales e iconos para el menu pero solo con el binario filezilla funciona perfectamente.

Si lo queres todo en su lugar, con copiar y pegar la carpeta bin y share dentro de /usr deberia ser suficiente. El problema es que para deshacer el copiado hay que borrarlo uno por uno.

El metodo que uso yo para estos casos es crear un paquete deb. Estos paquetes basicamente es un archivo comprimido y cuando se instala, lo unico que hace es descomprimir el data.tar.gz de su interior y pegarlo sobre "/". Al ser un deb queda todo registrado para poder quitarlo con sysnaptic facilmente.

El paquete de filezilla descargado tiene 2 carpetas que son bin y share. Estos son carpetas que se encuentran normalmente en /usr, asi que las carpetas bin y share deberian ir alli.

1-Crear una carpeta con el nombre usr en algun lugar
2-Meter alli la carpeta bin y share del tar.bz de filezilla.
3-Comprimir la carpeta usr a tar.gz con el nombre filezilla.tar.gz

Al abrir filezilla.tar.gz deberia estar la carpeta usr, alli dentro bin y share y alli las cosas de filezilla.
4-Instala alien y ejecuta "sudo alien filezilla.tar.gz". Con eso deberia crearse el deb para luego instalarlo normalmente. Elimina el viejo filezilla y filezilla-common por las dudas antes de instalar.

Agradecido por esta explicacion, en el proximo paquete que compile lo hare asi, es muy buena opcion.

El ppa es "ppa:n-muench/programs-ppa2" y se agrega con un "sudo add-apt-repository ppa:n-muench/programs-ppa2"

Algo tan "obvio" y no lo sabia....agradecido.

Finalmente lo instale usando checkinstall como me aconsejaste, tuve que instalar ese paquete (no lo tenia instalado) y se instalo perfectamente.
Me creo un .deb, pero como propietario me ha puesto a root.

Si voy a synaptics, tengo ahora filezilla 3.6.0.2 recien instalado por mi, y luego el filezilla common de la version antigua, creo que deberia elimiminarlo...

Realmente, muy agradecido!
Image
Wonder
Level 4
Level 4
 
Posts: 403
Joined: Wed Jul 11, 2012 8:09 pm

Linux Mint is funded by ads and donations.
 

Return to Español (Spanish)

Who is online

Users browsing this forum: No registered users and 4 guests